
Ruby - Feature #4116

OpenSSL::X509::Name provides <=> but not ==

12/04/2010 11:45 AM - drbrain (Eric Hodel)

Status: Closed   

Priority: Normal   

Assignee: drbrain (Eric Hodel)   

Target version:    

Description

=begin

It is not easy to compare to X509 Name objects.

#<=> is provided allowing equality or ordering to be determined only through roundabout means.

#hash and #eql? are provided using the same underlying C call as #<=>

The attached patch includes Comparable in OpenSSL::X509::Name and some additional documentation for #initialize.

=end

History

#1 - 12/10/2010 03:52 AM - tenderlovemaking (Aaron Patterson)

- Assignee set to drbrain (Eric Hodel)

=begin

The patch looks good to me.  Can you apply?

=end

#2 - 12/11/2010 06:26 AM - drbrain (Eric Hodel)

- Status changed from Open to Closed

=begin

Committed.

=end

Files

ossl_x509name.c.comparable.patch 1.71 KB 12/04/2010 drbrain (Eric Hodel)
